list tools
curl --request GET \
--url https://api.anam.ai/v1/tools \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.anam.ai/v1/tools"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.anam.ai/v1/tools', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "00000000-0000-0000-0000-000000000000",
"name": "open_calendar",
"description": "Open the calendar UI in the client app.",
"type": "CLIENT",
"config": {
"parameters": {
"type": "object",
"properties": {
"date": {
"type": "string",
"description": "Date to jump to, in YYYY-MM-DD format."
}
}
}
},
"createdAt": "2026-04-20T10:00:00.000Z",
"updatedAt": null,
"usageCount": 0
}
],
"meta": {
"total": 1,
"lastPage": 1,
"currentPage": 1,
"perPage": 10,
"prev": null,
"next": null
}
}list tools
Returns a list of all tools for the organization
GET
/
v1
/
tools
list tools
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Page number for pagination
Required range:
x >= 1Number of items per page
Required range:
1 <= x <= 100Filter tools by name, description, or ID
Last modified on July 10, 2026
Was this page helpful?
⌘I

